{- |
  Logging IO Monad.
-}

module Network.Legion.Discovery.LIO (
  LIO,
  runLIO,
) where

import Canteven.Log.MonadLog (LoggerTImpl)
import Control.Monad.Logger (LoggingT, runLoggingT)


{- | The logging IO monad.  -}
type LIO = LoggingT IO


{- | run an LIO monad in IO.  -}
runLIO :: LoggerTImpl -> LIO a -> IO a
runLIO logging = (`runLoggingT` logging)


